Subject: Re: bug#39724: 26.3; Commit 44298ea6aa006ed227e539b02279bd3fc11fd2a6 breaks font display on macOS

From: John Wiegley <[email-masked]>
Date: Mon, 24 Feb 2020 09:56:04 -0800

>>>>> "AT" == Alan Third <[email-masked]> writes:

AT> Are you still using Nix to build Emacs? As I recall it used to use the
AT> 10.10 build environment even on more modern versions of macOS, so this
AT> could still be an incompatibility between the new drawing code and older
AT> versions of macOS/XCode.

I am using Nix, but it passes this:

    -DMAC_OS_X_VERSION_MAX_ALLOWED=101200

Which should be recent enough, I'd think.

I also need to track down the slowness that I'm seeing, to see which commit
introduced that. It will take me a few days to gather all of this information,
given how slow the test cycles are.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2